Skip to content
Developer

TrialPolicy (Schnupper-Regel)

Events6 EndpointsEvent / TrialPolicy (Schnupper-Regel)

Returns a list of trial policy entries.

GET/api/event/trial_policy

Query parameters

idinteger
deletedbooleanThis property is used to mark an entity as deleted / archived | Default value: false
namestring
activeboolean
scopestring
audiencestring
capacityModestring
priceModestring
createdstring
updatedstring
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of TrialPolicy objectsarray<TrialPolicy>

Show fields (28)
  • idinteger

    Primary key of the trial policy. Internal ID.

  • activeboolean

    The trial policy is active.

  • max_sessionsinteger

    Number of trial dates per pass

  • scopestring

    Scope of the trial policy, for example per event or per bookable.

  • validity_daysinteger

    Days from the first trial date in which the pass may be used; null = no limit

  • price_modestring

    How the price of a trial is calculated, for example free or reduced.

  • productPredefinedBillingItem12

    Product billed for a paid trial (per date or once for the pass)

    Show fields (21)
    • idinteger

      Primary key of the mapped billing item. Internal ID.

    • namestringrequired

      Name of the billing item.

    • descriptionstringrequired

      Description of the billing item shown to the customer.

    • fixed_pricenumber (float)

      Fixed price billed.

    • fixed_price_base_unitnumber (float)

      Base unit for the fixed price.

    • billing_typeBillingItemType

      Billing item type.

    • recurrenceCRMRecurrence

      Recurrence the billing item follows.

    • deletedboolean

      Whether the billing item is deleted.

    • sub_self_service_addboolean

      Whether members can add the subscription themselves.

    • sub_self_service_add_fixed_pricenumber (float)

      Fixed price charged when members add the subscription themselves.

    • price_is_bruttoboolean

      Whether the prices are gross prices including tax.

    • skustring

      Artikelnummer (Stock Keeping Unit)

    • barcodestring

      Barcode (ISBN, UPC, GTIN usw.)

    • is_preferredboolean

      The item is preferred and shown first.

    • is_defaultboolean

      The item is the default for its type.

    • is_discountboolean

      The item is a discount.

    • is_freeboolean

      The item is free of charge.

    • is_passiveboolean

      The item is passive and cannot be selected anymore.

    • is_globalboolean

      The item is available for all companies.

    • producer_guarantee_yearsnumber (float)

      Herstellergarantie in Jahren (ganze Jahre oder ,5-Schritte, siehe ProductGuaranteeYears). Grundlage fuer das EU GARAN Label (nur bei Garantie > 2 Jahre zulaessig). Producer guarantee of durability in years (whole or .5 steps), basis for the EU GARAN label.

    • producer_brandstring

      Hersteller / Marke, die die Haltbarkeitsgarantie gibt - editierbares Feld "Brand/Trademark" des EU GARAN Labels. Producer / brand offering the commercial guarantee of durability.

  • audiencestring

    Audience the trial policy applies to, for example new members.

  • capacity_modestring

    How the capacity is used for trials.

  • quota_per_dateinteger

    Trial sign-ups per date with capacity mode own_quota

  • hide_when_fullboolean

    Hide events without a free place from people looking for a trial (otherwise shown, not bookable)

  • count_modestring

    How trials are counted, for example per person or per event.

  • max_open_sessionsinteger

    Future trial dates a person may hold at the same time

  • cancel_hoursinteger

    Hours before the start of a date until which a cancellation gives the trial date back

  • check_ageboolean

    Check the age limits of the event (minAge / maxAge) against the birthday of the person

  • follow_upstring

    What happens after a trial, for example a sign-up offer.

  • follow_up_delay_hoursinteger

    Hours after the end of the last trial date before the follow-up starts

  • reminder_daysinteger

    Days after the follow-up mail for one reminder while the person did not convert; null = none

  • membership_urlstring

    Where "become a member" leads to; empty = setting event_trial_membership_url

  • mail_completed_textstring

    Short text of the e-mail sent when a trial is completed.

  • mail_completed_long_textstring

    Long text of the e-mail sent when a trial is completed.

  • hold_modestring

    Hold a course place for the trial person from the first trial date on (none = no reservation)

  • hold_daysinteger

    Days after the end of the last trial date the held place stays free for the sign-up

  • hold_reminder_daysinteger

    Days before the end of the hold for one reminder; null = none

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/event/trial_policy \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "membership_url": "https://vynst.de",
    "mail_completed_text": "Text",
    "mail_completed_long_text": "Text",
    "name": "Beispiel",
    "active": true,
    "max_sessions": 1,
    "scope": "string",
    "validity_days": 1,
    "price_mode": "string"
  }
]

Creates a new trial policy entry.

POST/api/event/trial_policy

Request body application/json

  • dataTrialPolicy2
    Show fields (1)
    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Add a new TrialPolicyTrialPolicy

Show fields (28)
  • idinteger

    Primary key of the trial policy. Internal ID.

  • activeboolean

    The trial policy is active.

  • max_sessionsinteger

    Number of trial dates per pass

  • scopestring

    Scope of the trial policy, for example per event or per bookable.

  • validity_daysinteger

    Days from the first trial date in which the pass may be used; null = no limit

  • price_modestring

    How the price of a trial is calculated, for example free or reduced.

  • productPredefinedBillingItem12

    Product billed for a paid trial (per date or once for the pass)

    Show fields (21)
    • idinteger

      Primary key of the mapped billing item. Internal ID.

    • namestringrequired

      Name of the billing item.

    • descriptionstringrequired

      Description of the billing item shown to the customer.

    • fixed_pricenumber (float)

      Fixed price billed.

    • fixed_price_base_unitnumber (float)

      Base unit for the fixed price.

    • billing_typeBillingItemType

      Billing item type.

    • recurrenceCRMRecurrence

      Recurrence the billing item follows.

    • deletedboolean

      Whether the billing item is deleted.

    • sub_self_service_addboolean

      Whether members can add the subscription themselves.

    • sub_self_service_add_fixed_pricenumber (float)

      Fixed price charged when members add the subscription themselves.

    • price_is_bruttoboolean

      Whether the prices are gross prices including tax.

    • skustring

      Artikelnummer (Stock Keeping Unit)

    • barcodestring

      Barcode (ISBN, UPC, GTIN usw.)

    • is_preferredboolean

      The item is preferred and shown first.

    • is_defaultboolean

      The item is the default for its type.

    • is_discountboolean

      The item is a discount.

    • is_freeboolean

      The item is free of charge.

    • is_passiveboolean

      The item is passive and cannot be selected anymore.

    • is_globalboolean

      The item is available for all companies.

    • producer_guarantee_yearsnumber (float)

      Herstellergarantie in Jahren (ganze Jahre oder ,5-Schritte, siehe ProductGuaranteeYears). Grundlage fuer das EU GARAN Label (nur bei Garantie > 2 Jahre zulaessig). Producer guarantee of durability in years (whole or .5 steps), basis for the EU GARAN label.

    • producer_brandstring

      Hersteller / Marke, die die Haltbarkeitsgarantie gibt - editierbares Feld "Brand/Trademark" des EU GARAN Labels. Producer / brand offering the commercial guarantee of durability.

  • audiencestring

    Audience the trial policy applies to, for example new members.

  • capacity_modestring

    How the capacity is used for trials.

  • quota_per_dateinteger

    Trial sign-ups per date with capacity mode own_quota

  • hide_when_fullboolean

    Hide events without a free place from people looking for a trial (otherwise shown, not bookable)

  • count_modestring

    How trials are counted, for example per person or per event.

  • max_open_sessionsinteger

    Future trial dates a person may hold at the same time

  • cancel_hoursinteger

    Hours before the start of a date until which a cancellation gives the trial date back

  • check_ageboolean

    Check the age limits of the event (minAge / maxAge) against the birthday of the person

  • follow_upstring

    What happens after a trial, for example a sign-up offer.

  • follow_up_delay_hoursinteger

    Hours after the end of the last trial date before the follow-up starts

  • reminder_daysinteger

    Days after the follow-up mail for one reminder while the person did not convert; null = none

  • membership_urlstring

    Where "become a member" leads to; empty = setting event_trial_membership_url

  • mail_completed_textstring

    Short text of the e-mail sent when a trial is completed.

  • mail_completed_long_textstring

    Long text of the e-mail sent when a trial is completed.

  • hold_modestring

    Hold a course place for the trial person from the first trial date on (none = no reservation)

  • hold_daysinteger

    Days after the end of the last trial date the held place stays free for the sign-up

  • hold_reminder_daysinteger

    Days before the end of the hold for one reminder; null = none

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/event/trial_policy \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "deleted": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "membership_url": "https://vynst.de",
  "mail_completed_text": "Text",
  "mail_completed_long_text": "Text",
  "name": "Beispiel",
  "active": true,
  "max_sessions": 1,
  "scope": "string",
  "validity_days": 1,
  "price_mode": "string"
}

Returns a single trial policy entry.

GET/api/event/trial_policy/{identifier}

Path parameters

identifierrequiredstring

Responses

200Returns a single TrialPolicyTrialPolicy

Show fields (28)
  • idinteger

    Primary key of the trial policy. Internal ID.

  • activeboolean

    The trial policy is active.

  • max_sessionsinteger

    Number of trial dates per pass

  • scopestring

    Scope of the trial policy, for example per event or per bookable.

  • validity_daysinteger

    Days from the first trial date in which the pass may be used; null = no limit

  • price_modestring

    How the price of a trial is calculated, for example free or reduced.

  • productPredefinedBillingItem12

    Product billed for a paid trial (per date or once for the pass)

    Show fields (21)
    • idinteger

      Primary key of the mapped billing item. Internal ID.

    • namestringrequired

      Name of the billing item.

    • descriptionstringrequired

      Description of the billing item shown to the customer.

    • fixed_pricenumber (float)

      Fixed price billed.

    • fixed_price_base_unitnumber (float)

      Base unit for the fixed price.

    • billing_typeBillingItemType

      Billing item type.

    • recurrenceCRMRecurrence

      Recurrence the billing item follows.

    • deletedboolean

      Whether the billing item is deleted.

    • sub_self_service_addboolean

      Whether members can add the subscription themselves.

    • sub_self_service_add_fixed_pricenumber (float)

      Fixed price charged when members add the subscription themselves.

    • price_is_bruttoboolean

      Whether the prices are gross prices including tax.

    • skustring

      Artikelnummer (Stock Keeping Unit)

    • barcodestring

      Barcode (ISBN, UPC, GTIN usw.)

    • is_preferredboolean

      The item is preferred and shown first.

    • is_defaultboolean

      The item is the default for its type.

    • is_discountboolean

      The item is a discount.

    • is_freeboolean

      The item is free of charge.

    • is_passiveboolean

      The item is passive and cannot be selected anymore.

    • is_globalboolean

      The item is available for all companies.

    • producer_guarantee_yearsnumber (float)

      Herstellergarantie in Jahren (ganze Jahre oder ,5-Schritte, siehe ProductGuaranteeYears). Grundlage fuer das EU GARAN Label (nur bei Garantie > 2 Jahre zulaessig). Producer guarantee of durability in years (whole or .5 steps), basis for the EU GARAN label.

    • producer_brandstring

      Hersteller / Marke, die die Haltbarkeitsgarantie gibt - editierbares Feld "Brand/Trademark" des EU GARAN Labels. Producer / brand offering the commercial guarantee of durability.

  • audiencestring

    Audience the trial policy applies to, for example new members.

  • capacity_modestring

    How the capacity is used for trials.

  • quota_per_dateinteger

    Trial sign-ups per date with capacity mode own_quota

  • hide_when_fullboolean

    Hide events without a free place from people looking for a trial (otherwise shown, not bookable)

  • count_modestring

    How trials are counted, for example per person or per event.

  • max_open_sessionsinteger

    Future trial dates a person may hold at the same time

  • cancel_hoursinteger

    Hours before the start of a date until which a cancellation gives the trial date back

  • check_ageboolean

    Check the age limits of the event (minAge / maxAge) against the birthday of the person

  • follow_upstring

    What happens after a trial, for example a sign-up offer.

  • follow_up_delay_hoursinteger

    Hours after the end of the last trial date before the follow-up starts

  • reminder_daysinteger

    Days after the follow-up mail for one reminder while the person did not convert; null = none

  • membership_urlstring

    Where "become a member" leads to; empty = setting event_trial_membership_url

  • mail_completed_textstring

    Short text of the e-mail sent when a trial is completed.

  • mail_completed_long_textstring

    Long text of the e-mail sent when a trial is completed.

  • hold_modestring

    Hold a course place for the trial person from the first trial date on (none = no reservation)

  • hold_daysinteger

    Days after the end of the last trial date the held place stays free for the sign-up

  • hold_reminder_daysinteger

    Days before the end of the hold for one reminder; null = none

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/event/trial_policy/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "membership_url": "https://vynst.de",
  "mail_completed_text": "Text",
  "mail_completed_long_text": "Text",
  "name": "Beispiel",
  "active": true,
  "max_sessions": 1,
  "scope": "string",
  "validity_days": 1,
  "price_mode": "string"
}

Updates an existing trial policy entry.

PUT/api/event/trial_policy/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataTrialPolicy2
    Show fields (1)
    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update a TrialPolicyTrialPolicy

Show fields (28)
  • idinteger

    Primary key of the trial policy. Internal ID.

  • activeboolean

    The trial policy is active.

  • max_sessionsinteger

    Number of trial dates per pass

  • scopestring

    Scope of the trial policy, for example per event or per bookable.

  • validity_daysinteger

    Days from the first trial date in which the pass may be used; null = no limit

  • price_modestring

    How the price of a trial is calculated, for example free or reduced.

  • productPredefinedBillingItem12

    Product billed for a paid trial (per date or once for the pass)

    Show fields (21)
    • idinteger

      Primary key of the mapped billing item. Internal ID.

    • namestringrequired

      Name of the billing item.

    • descriptionstringrequired

      Description of the billing item shown to the customer.

    • fixed_pricenumber (float)

      Fixed price billed.

    • fixed_price_base_unitnumber (float)

      Base unit for the fixed price.

    • billing_typeBillingItemType

      Billing item type.

    • recurrenceCRMRecurrence

      Recurrence the billing item follows.

    • deletedboolean

      Whether the billing item is deleted.

    • sub_self_service_addboolean

      Whether members can add the subscription themselves.

    • sub_self_service_add_fixed_pricenumber (float)

      Fixed price charged when members add the subscription themselves.

    • price_is_bruttoboolean

      Whether the prices are gross prices including tax.

    • skustring

      Artikelnummer (Stock Keeping Unit)

    • barcodestring

      Barcode (ISBN, UPC, GTIN usw.)

    • is_preferredboolean

      The item is preferred and shown first.

    • is_defaultboolean

      The item is the default for its type.

    • is_discountboolean

      The item is a discount.

    • is_freeboolean

      The item is free of charge.

    • is_passiveboolean

      The item is passive and cannot be selected anymore.

    • is_globalboolean

      The item is available for all companies.

    • producer_guarantee_yearsnumber (float)

      Herstellergarantie in Jahren (ganze Jahre oder ,5-Schritte, siehe ProductGuaranteeYears). Grundlage fuer das EU GARAN Label (nur bei Garantie > 2 Jahre zulaessig). Producer guarantee of durability in years (whole or .5 steps), basis for the EU GARAN label.

    • producer_brandstring

      Hersteller / Marke, die die Haltbarkeitsgarantie gibt - editierbares Feld "Brand/Trademark" des EU GARAN Labels. Producer / brand offering the commercial guarantee of durability.

  • audiencestring

    Audience the trial policy applies to, for example new members.

  • capacity_modestring

    How the capacity is used for trials.

  • quota_per_dateinteger

    Trial sign-ups per date with capacity mode own_quota

  • hide_when_fullboolean

    Hide events without a free place from people looking for a trial (otherwise shown, not bookable)

  • count_modestring

    How trials are counted, for example per person or per event.

  • max_open_sessionsinteger

    Future trial dates a person may hold at the same time

  • cancel_hoursinteger

    Hours before the start of a date until which a cancellation gives the trial date back

  • check_ageboolean

    Check the age limits of the event (minAge / maxAge) against the birthday of the person

  • follow_upstring

    What happens after a trial, for example a sign-up offer.

  • follow_up_delay_hoursinteger

    Hours after the end of the last trial date before the follow-up starts

  • reminder_daysinteger

    Days after the follow-up mail for one reminder while the person did not convert; null = none

  • membership_urlstring

    Where "become a member" leads to; empty = setting event_trial_membership_url

  • mail_completed_textstring

    Short text of the e-mail sent when a trial is completed.

  • mail_completed_long_textstring

    Long text of the e-mail sent when a trial is completed.

  • hold_modestring

    Hold a course place for the trial person from the first trial date on (none = no reservation)

  • hold_daysinteger

    Days after the end of the last trial date the held place stays free for the sign-up

  • hold_reminder_daysinteger

    Days before the end of the hold for one reminder; null = none

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/event/trial_policy/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "deleted": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "membership_url": "https://vynst.de",
  "mail_completed_text": "Text",
  "mail_completed_long_text": "Text",
  "name": "Beispiel",
  "active": true,
  "max_sessions": 1,
  "scope": "string",
  "validity_days": 1,
  "price_mode": "string"
}

Updates an existing trial policy entry.

PATCH/api/event/trial_policy/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataTrialPolicy2
    Show fields (1)
    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update a TrialPolicyTrialPolicy

Show fields (28)
  • idinteger

    Primary key of the trial policy. Internal ID.

  • activeboolean

    The trial policy is active.

  • max_sessionsinteger

    Number of trial dates per pass

  • scopestring

    Scope of the trial policy, for example per event or per bookable.

  • validity_daysinteger

    Days from the first trial date in which the pass may be used; null = no limit

  • price_modestring

    How the price of a trial is calculated, for example free or reduced.

  • productPredefinedBillingItem12

    Product billed for a paid trial (per date or once for the pass)

    Show fields (21)
    • idinteger

      Primary key of the mapped billing item. Internal ID.

    • namestringrequired

      Name of the billing item.

    • descriptionstringrequired

      Description of the billing item shown to the customer.

    • fixed_pricenumber (float)

      Fixed price billed.

    • fixed_price_base_unitnumber (float)

      Base unit for the fixed price.

    • billing_typeBillingItemType

      Billing item type.

    • recurrenceCRMRecurrence

      Recurrence the billing item follows.

    • deletedboolean

      Whether the billing item is deleted.

    • sub_self_service_addboolean

      Whether members can add the subscription themselves.

    • sub_self_service_add_fixed_pricenumber (float)

      Fixed price charged when members add the subscription themselves.

    • price_is_bruttoboolean

      Whether the prices are gross prices including tax.

    • skustring

      Artikelnummer (Stock Keeping Unit)

    • barcodestring

      Barcode (ISBN, UPC, GTIN usw.)

    • is_preferredboolean

      The item is preferred and shown first.

    • is_defaultboolean

      The item is the default for its type.

    • is_discountboolean

      The item is a discount.

    • is_freeboolean

      The item is free of charge.

    • is_passiveboolean

      The item is passive and cannot be selected anymore.

    • is_globalboolean

      The item is available for all companies.

    • producer_guarantee_yearsnumber (float)

      Herstellergarantie in Jahren (ganze Jahre oder ,5-Schritte, siehe ProductGuaranteeYears). Grundlage fuer das EU GARAN Label (nur bei Garantie > 2 Jahre zulaessig). Producer guarantee of durability in years (whole or .5 steps), basis for the EU GARAN label.

    • producer_brandstring

      Hersteller / Marke, die die Haltbarkeitsgarantie gibt - editierbares Feld "Brand/Trademark" des EU GARAN Labels. Producer / brand offering the commercial guarantee of durability.

  • audiencestring

    Audience the trial policy applies to, for example new members.

  • capacity_modestring

    How the capacity is used for trials.

  • quota_per_dateinteger

    Trial sign-ups per date with capacity mode own_quota

  • hide_when_fullboolean

    Hide events without a free place from people looking for a trial (otherwise shown, not bookable)

  • count_modestring

    How trials are counted, for example per person or per event.

  • max_open_sessionsinteger

    Future trial dates a person may hold at the same time

  • cancel_hoursinteger

    Hours before the start of a date until which a cancellation gives the trial date back

  • check_ageboolean

    Check the age limits of the event (minAge / maxAge) against the birthday of the person

  • follow_upstring

    What happens after a trial, for example a sign-up offer.

  • follow_up_delay_hoursinteger

    Hours after the end of the last trial date before the follow-up starts

  • reminder_daysinteger

    Days after the follow-up mail for one reminder while the person did not convert; null = none

  • membership_urlstring

    Where "become a member" leads to; empty = setting event_trial_membership_url

  • mail_completed_textstring

    Short text of the e-mail sent when a trial is completed.

  • mail_completed_long_textstring

    Long text of the e-mail sent when a trial is completed.

  • hold_modestring

    Hold a course place for the trial person from the first trial date on (none = no reservation)

  • hold_daysinteger

    Days after the end of the last trial date the held place stays free for the sign-up

  • hold_reminder_daysinteger

    Days before the end of the hold for one reminder; null = none

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/event/trial_policy/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "deleted": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "membership_url": "https://vynst.de",
  "mail_completed_text": "Text",
  "mail_completed_long_text": "Text",
  "name": "Beispiel",
  "active": true,
  "max_sessions": 1,
  "scope": "string",
  "validity_days": 1,
  "price_mode": "string"
}

Archive a TrialPolicy (soft delete); events and categories that use it offer no trials until they get another rule

DELETE/api/event/trial_policy/{identifier}

Path parameters

identifierrequiredstring

Responses

200Archive a TrialPolicyTrialPolicy

Show fields (28)
  • idinteger

    Primary key of the trial policy. Internal ID.

  • activeboolean

    The trial policy is active.

  • max_sessionsinteger

    Number of trial dates per pass

  • scopestring

    Scope of the trial policy, for example per event or per bookable.

  • validity_daysinteger

    Days from the first trial date in which the pass may be used; null = no limit

  • price_modestring

    How the price of a trial is calculated, for example free or reduced.

  • productPredefinedBillingItem12

    Product billed for a paid trial (per date or once for the pass)

    Show fields (21)
    • idinteger

      Primary key of the mapped billing item. Internal ID.

    • namestringrequired

      Name of the billing item.

    • descriptionstringrequired

      Description of the billing item shown to the customer.

    • fixed_pricenumber (float)

      Fixed price billed.

    • fixed_price_base_unitnumber (float)

      Base unit for the fixed price.

    • billing_typeBillingItemType

      Billing item type.

    • recurrenceCRMRecurrence

      Recurrence the billing item follows.

    • deletedboolean

      Whether the billing item is deleted.

    • sub_self_service_addboolean

      Whether members can add the subscription themselves.

    • sub_self_service_add_fixed_pricenumber (float)

      Fixed price charged when members add the subscription themselves.

    • price_is_bruttoboolean

      Whether the prices are gross prices including tax.

    • skustring

      Artikelnummer (Stock Keeping Unit)

    • barcodestring

      Barcode (ISBN, UPC, GTIN usw.)

    • is_preferredboolean

      The item is preferred and shown first.

    • is_defaultboolean

      The item is the default for its type.

    • is_discountboolean

      The item is a discount.

    • is_freeboolean

      The item is free of charge.

    • is_passiveboolean

      The item is passive and cannot be selected anymore.

    • is_globalboolean

      The item is available for all companies.

    • producer_guarantee_yearsnumber (float)

      Herstellergarantie in Jahren (ganze Jahre oder ,5-Schritte, siehe ProductGuaranteeYears). Grundlage fuer das EU GARAN Label (nur bei Garantie > 2 Jahre zulaessig). Producer guarantee of durability in years (whole or .5 steps), basis for the EU GARAN label.

    • producer_brandstring

      Hersteller / Marke, die die Haltbarkeitsgarantie gibt - editierbares Feld "Brand/Trademark" des EU GARAN Labels. Producer / brand offering the commercial guarantee of durability.

  • audiencestring

    Audience the trial policy applies to, for example new members.

  • capacity_modestring

    How the capacity is used for trials.

  • quota_per_dateinteger

    Trial sign-ups per date with capacity mode own_quota

  • hide_when_fullboolean

    Hide events without a free place from people looking for a trial (otherwise shown, not bookable)

  • count_modestring

    How trials are counted, for example per person or per event.

  • max_open_sessionsinteger

    Future trial dates a person may hold at the same time

  • cancel_hoursinteger

    Hours before the start of a date until which a cancellation gives the trial date back

  • check_ageboolean

    Check the age limits of the event (minAge / maxAge) against the birthday of the person

  • follow_upstring

    What happens after a trial, for example a sign-up offer.

  • follow_up_delay_hoursinteger

    Hours after the end of the last trial date before the follow-up starts

  • reminder_daysinteger

    Days after the follow-up mail for one reminder while the person did not convert; null = none

  • membership_urlstring

    Where "become a member" leads to; empty = setting event_trial_membership_url

  • mail_completed_textstring

    Short text of the e-mail sent when a trial is completed.

  • mail_completed_long_textstring

    Long text of the e-mail sent when a trial is completed.

  • hold_modestring

    Hold a course place for the trial person from the first trial date on (none = no reservation)

  • hold_daysinteger

    Days after the end of the last trial date the held place stays free for the sign-up

  • hold_reminder_daysinteger

    Days before the end of the hold for one reminder; null = none

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request DELETE \
  --url https://your-instance.iw-erp.de/api/event/trial_policy/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "membership_url": "https://vynst.de",
  "mail_completed_text": "Text",
  "mail_completed_long_text": "Text",
  "name": "Beispiel",
  "active": true,
  "max_sessions": 1,
  "scope": "string",
  "validity_days": 1,
  "price_mode": "string"
}